// Install script for Enigmail pl-PL language pack

var chromeNode = "pl-PL";

var vers = "0.76.1.0";
var srDest = 10;       // Disk space required for installation (KB)

var prettyName = chromeNode + " pakiet j\u0119zykowy dla Enigmail";
var regName    = "/enigmail-" + chromeNode;
var chromeName = "enigmail-"+chromeNode + ".jar";
var localeName = "locale/" + chromeNode + "/";

var err;

var platformNode = getPlatform();
logComment("initInstall: platformNode=" + platformNode);

err = initInstall(prettyName, regName, vers);
logComment("initInstall: " + err);

var fChrome = getFolder("Program", "chrome");
logComment("fChrome: " + fChrome);

if (!verifyDiskSpace(fChrome, srDest)) {
  cancelInstall(INSUFFICIENT_DISK_SPACE);

} else {

  // addFile: blank, archive_file, install_dir, install_subdir
  err = addFile("",  chromeName,   fChrome,     "");

  if (err == ACCESS_DENIED) {
    // Profile chrome does not really work right now; see bug 109044
    alert("Nie mo\u017Cna zapisa\u0107 do katalogu "+fChrome+".\nMusisz uruchomi\u0107 przegl\u0105dark\u0119 jako administrator/root \u017Ceby zainstalowa\u0107 ten program. Po instalacji jeszcze jako root (lub administrator), nale\u017Cy ponownie uruchomi\u0107 przegl\u0105dark\u0119 aby zarejestrowa\u0107 zainstalowane pakiety.\nPo drugim uruchomieniu, mo\u017Cna ju\u017C u\u017Cywa\u0107 przegl\u0105darki bez specjalnych uprawnie\u0144!");

    cancelInstall(ACCESS_DENIED);

  } else if (err != SUCCESS) {
    cancelInstall(err);

  } else {
    // Register chrome
    var chromeJar = getFolder(fChrome, chromeName);

    registerChrome( LOCALE | DELAYED_CHROME, chromeJar,
                    localeName+"enigmail/");

    err = getLastError();

    if (err != SUCCESS) {
      cancelInstall(err);

    } else {
      performInstall();
      logComment("performInstall() returned: " + err);

      if (err == SUCCESS) {
        alert("Instalacja zako\u0144czona. URUCHOM PONOWNIE przegl\u0105dark\u0119 i ustaw odpowiedni j\u0119zyk w menu Edycja > Preferencje > Wygl\u0105d > J\u0119zyk i tre\u015Bci");

      } else if (err == 999) {
        alert("Instalacja zako\u0144czona. URUCHOM PONOWNIE system i ustaw odpowiedni j\u0119zyk w menu Edycja > Preferencje > Wygl\u0105d > J\u0119zyk i tre\u015Bci.");

       resetError();
      }

    }
  }
}


// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired) {
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired) {
    logComment("Niewystarczaj\u0105ca ilo\u015B\u0107 miejsca na dysku: " + dirPath);
    logComment("  wymagane: " + spaceRequired + " K");
    logComment("  dost\u0119pne: " + spaceAvailable + " K");
    return false;
  }

  return true;
}

// OS type detection
// which platform?
function getPlatform() {
  var platformStr;
  var platformNode;

  if('platform' in Install) {
    platformStr = new String(Install.platform);

    if (!platformStr.search(/^Macintosh/))
      platformNode = 'mac';
    else if (!platformStr.search(/^Win/))
      platformNode = 'win';
    else
      platformNode = 'unix';
  }
  else {
    var fOSMac  = getFolder("Mac System");
    var fOSWin  = getFolder("Win System");

    logComment("fOSMac: "  + fOSMac);
    logComment("fOSWin: "  + fOSWin);

    if(fOSMac != null)
      platformNode = 'mac';
    else if(fOSWin != null)
      platformNode = 'win';
    else
      platformNode = 'unix';
  }

  return platformNode;
}

